Summary: Library for GIF creation
Name: gd
Version: 1.3
Release: 3
Source: http://www.boutell.com/gd/gd1.3.tar.gz
Patch: gd-shared.patch
Copyright: BSD-style
Group: Libraries
BuildRoot: /var/tmp/gd-root
Prefix: /usr
Prereq: /sbin/ldconfig

%description
This library allows you to easily create and manipulate GIF image files
from your C programs.

%package devel
Requires: gd = %{PACKAGE_VERSION}
Summary: development part of the GD library
Group: Development/Libraries

%description devel
This package contains the files needed for development of programs linked
against GD.

%prep
%setup -n gd1.3
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" make

%install
mkdir -p $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/lib
install -m644 gd.h gdfontg.h gdfontl.h gdfontmb.h gdfonts.h gdfontt.h \
	$RPM_BUILD_ROOT/usr/include
ln -sf libgd.so.1.2 $RPM_BUILD_ROOT/usr/lib/libgd.so
install -m 755 libgd.so* $RPM_BUILD_ROOT/usr/lib

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%files
%doc readme.txt index.html
/usr/lib/*.so.*

%files devel
/usr/lib/*.so
/usr/include/*

%changelog
* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- built for 5.2
